LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-28-2003, 06:24 PM   #1
netmaniac
LQ Newbie
 
Registered: Jul 2003
Posts: 9

Rep: Reputation: 0
can't find libGLcore.so.1


I've downloaded the kmess-1.2.1mdk rpm but when i try to install it, it complains that it can't find the libGLcore.so.1 file.

As far as i'm concerned, this file comes into the nvidia drivers package that is installed and is working very well in my computer.

any suggestions?

mdk9.1 | nvidia geforce 2
 
Old 07-28-2003, 06:26 PM   #2
jvds
Member
 
Registered: Jul 2003
Posts: 88

Rep: Reputation: 15
it could be trying to link against the Mesa-Drivers. What does

find /usr -name libGLcore.so.1

show?

Rus
 
Old 07-28-2003, 06:35 PM   #3
contrasutra
LQ Guru
 
Registered: Mar 2003
Location: New Jersey
Distribution: Arch Linux
Posts: 1,445

Rep: Reputation: 46
run "glxgears". Does it work?

If not, then you need to add "load glx" to your XFree86Config file.

Consult the Nvidia readme for all the details on configuring your XFree86Config file.
 
Old 07-30-2003, 11:12 AM   #4
netmaniac
LQ Newbie
 
Registered: Jul 2003
Posts: 9

Original Poster
Rep: Reputation: 0
find /usr -name libGLcore.so.1 returns the following:

/usr/lib/libGLcore.so.1

And i've already setup my xf86config file according to nvidia readme file.

I've downloaded a strange libglcore.so.1.rpm, installed it, and now things are working fine. Thanks for the help anyway.
 
Old 08-10-2003, 08:53 PM   #5
safrout
Member
 
Registered: Mar 2002
Location: egypt
Distribution: Gentoo
Posts: 457

Rep: Reputation: 30
so can u paste here the link from where did u get 1..1.mdk version and the link to the rpm file containg the libGlcore.so.1 plz
 
Old 08-11-2003, 02:27 PM   #6
Proud
Senior Member
 
Registered: Dec 2002
Location: England
Distribution: Used to use Mandrake/Mandriva
Posts: 2,794

Rep: Reputation: 116Reputation: 116
I just force the KMess package, seems to work fine without-not good practice though.

Last edited by Proud; 08-11-2003 at 02:28 PM.
 
Old 08-11-2003, 05:00 PM   #7
Santas
Member
 
Registered: Jun 2003
Location: Over the rainbow
Distribution: Mandrake 10 / Guadalinex
Posts: 290

Rep: Reputation: 30
if you search in this web you can find a link to a rpm package that it solved me the same problem

the link is this one: http://lists.uugrn.org/uugrn/02/12/7971.html
 
Old 09-04-2003, 04:18 AM   #8
F4steddie
LQ Newbie
 
Registered: Sep 2003
Distribution: Suse Linux 8.2
Posts: 2

Rep: Reputation: 0
Angry X killed by libGLcore

I installed the above rpm on Suse 8.2 to solve a dependence for Kcmpureftpd and.... surprise!!
After reboot, when starting the X server by startx, it gives me an error (kdeinit could not start because libGLcore.so.1 file is too short).

I tried to remove the rpm (-e)but it says that it is not installed, i tried to reinstall it (-ivh or -Uvh) but it says it is installed.

I think the problem is that the package is too short... and cause some trouble on the rpm management system.

In the end i had to reinstall the system and today i'm going to try

rpm --nodeps -ivh kcmpureftpd.rpm

if it works, and i think it will, because the gears are working on my system, will be fine.

Otherwise, i will edit the /etc/pure-ftpd.conf (and a little voice says that maybe this is the best solution)
 
Old 09-04-2003, 02:18 PM   #9
Proud
Senior Member
 
Registered: Dec 2002
Location: England
Distribution: Used to use Mandrake/Mandriva
Posts: 2,794

Rep: Reputation: 116Reputation: 116
When removing an rpm, you use the package name, not the filename with the .rpm ending. Man rpm
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Need libGLcore.so.1 but no NVidia h/w n8tgc Linux - Software 3 02-13-2005 10:16 PM
LIBGLCORE not defined in file libGLcore.so.1,HELP!!!!! Linuxjia Linux - Software 2 11-25-2004 03:08 PM
Where can I get libGLcore.so.1? dsschanze Linux - Software 3 08-16-2004 08:31 PM
How to install libGLcore.so.1 chem1 Linux - General 5 10-06-2002 01:27 PM
What is libGLcore.so.1? esteeven Linux - Software 1 06-08-2002 08:40 AM


All times are GMT -5. The time now is 10:48 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration